<template>
  <q-page padding>
    <q-page>
      <q-card>
        <q-card-section>
          Yakin Hapus Product Ini?
          <q-btn-group>
            <q-btn color="green" @click="doDelete">Ya</q-btn>
            <q-btn color="red" @click="$router.push('/produk/saya')">Tidak</q-btn>
          </q-btn-group>
        </q-card-section>
        <q-card-section>
          <h6 style="margin-top: 10px">Gambar Produk</h6>
          <div class="row justify-center">
            <q-img
              style="width: 170px; margin: 10px"
              :ratio="1"
              class="rounded-borders"
              @click="showImage(product.main_image)"
              :src="product.main_image"
            />
            <div v-for="gambar in product.image">
              <q-img
                style="width: 170px; margin: 10px"
                :ratio="1"
                class="rounded-borders"
                @click="showImage(gambar)"
                :src="gambar"
              />
            </div>
          </div>
        </q-card-section>

        <q-separator />

        <q-card-section class="q-gutter-md">
          <h6 style="margin-top: 10px">Informasi Produk Jasa</h6>
          <q-input standout="bg-green text-white"  v-model="product.product_type.product_type" label="Jenis" readonly />
          <q-input standout="bg-green text-white"  v-model="product.product_category.category" label="Kategori" readonly />
          <q-input standout="bg-green text-white"  v-model="product.name_product" label="Nama"/>
          <q-input standout="bg-green text-white" v-model="product.desc_product" label="Deskripsi" type="textarea"/>
        </q-card-section>
      </q-card>
    </q-page>
  </q-page>
</template>

<script>
export default {
  name: 'HapusProduk',

  preFetch (store) {
    store.store.dispatch("product/getDetailProduct", store.currentRoute.params.id);
  },

  computed: {
    product() {
      let dataProduct = this.$store.getters["product/getDetailProduct"];

      if (!dataProduct.product_type) {
        dataProduct.product_type = {
          product_type: null,
        }
      }

      if (!dataProduct.product_category) {
        dataProduct.product_category = {
          category: null,
        }
      }

      return this.$store.getters["product/getDetailProduct"];
    }
  },

  methods: {
    doDelete: function () {
      this.$axios.post("/api/product/delete/" + this.$route.params.id)
      .then(() => {
        this.$q.notify({
          message: "Berhasil Hapus Produk"
        });
        this.$router.push("/produk/saya")
      })
      .catch(() => {
        this.$router.push("/produk/saya")
      })
    }
  }
}
</script>
